<template>
  <div class="pb-5">
    <div class="pb-5">
      <b-navbar type="dark" variant="info">
        <b-navbar-brand>My booking app</b-navbar-brand>

        <b-navbar-nav>
          <b-nav-item @click="activateBookingsPage">View bookings</b-nav-item>
          <b-nav-item @click="activateNewBookingPage">Place new booking</b-nav-item>
        </b-navbar-nav>
      </b-navbar>
    </div>

    <b-container>
      <component :is="page"></component>
    </b-container>
  </div>
</template>

<script>
import Bookings from './pages/Bookings'
import NewBooking from './pages/NewBooking.vue'

export default {
  data() {
    return {
      page: Bookings
    }
  },

  methods: {
    activateBookingsPage() {
      this.page = Bookings;
    },

    activateNewBookingPage() {
      this.page = NewBooking;
    }
  }
}
</script>
